iOS Today Widget in React Native

Overview

React Native Today Widget

Experimental library investigating limits of implementation iOS App Extensions using React Native.

Sample result from Complex example:

today_widget_example

What is Today Widget?

Getting started

This library will help you to add iOS Today Widget App Extension without need to open XCode.

Dependencies

  • xcodeproj for linking script:
$ gem install xcodeproj

You may need to use sudo gem install xcodeproj or sudo gem install -n /usr/local/bin xcodeproj depends on your Ruby installation.

  • For React Native compatibility, check peerDependencies in package.json

Setup

$ yarn add react-native-today-widget
$ react-native link

You could use $ npm i react-native-today-widget --save as well, but don't forget to save it in package.json dependencies. Otherwise RN will not link it.

Whenever you change Bundle Identifier (CFBundleIdentifier) for main app, you have to run ./node_modules/.bin/bundle-id script or reinstall the module (rm -rf node_modules/react-native-today-widget && yarn)

Manual linking

react-native link should works, but in case of some troubles, you could follow general guide for linking libraries.

  • file for Step 1 is /node_modules/react-native-today-widget/ios/RNTodayWidgetExtension.xcodeproj
  • as a Step 2, add TodayWidgetExtension.appex to Embedded Binaries on the General tab for your main target
  • in Step 3, add $(SRCROOT)/../node_modules/react-native-today-widget/ios/TodayWidgetExtension to Header Search Paths

Usage

All you need is to create an index.widget.js file at the root and register there your component for key TodayWidgetExtension:

const TodayWidget = () => (
  <View>
    <Text>
      Hello Today Widget!
    </Text>
  </View>
);

AppRegistry.registerComponent('TodayWidgetExtension', () => TodayWidget);

Please note that registering both the widget and the main app in index.js file can cause memory issues. Because the app is also bundled (even if you don't use it in your widget), and it causes 'Unable to load' error. When we split the registration into two different files, the widget and the main app are bundled seperately. See blog post from Maxim Toyberman.

In place of TodayWidget component, you could use any JSX component. See Basic example.

Run your app as usual:

react-native run-ios

Display new widget on Search screen or by force touch on your app icon (on devices supporting 3D Touch).

If you need to see logs from TodayWidgetExtension, use:

react-native log-ios

In your extension scheme’s Run phase, you specify a host app as the executable

Memory limitation

The memory limit for Today Widget on device is 16 MB. (Great explanation is in this talk by Conrad Kramer)

Verified experimentally using XCode debugger - while loading big image, Today Widget crashes as soon as it reaches 16 MB memory usage.

Memory usage of Basic example with just one Text element is about 11 MB. Up to 13 MB during content rendering.

For running Today Widget on device you have to use Release build configuration. Development mode adds too much overhead. Only possibility to run the widget on device in development mode is using Instruments tool to temporarily disable the limit.

Notes

To investigate more iOS App Extensions with React Native check those:

API Reference

DevMenu

Default dev menu is not available in widget, but you could use DevSettings from NativeModules or this prepared DevMenu component to enable Live/Hot reload or remote JS debugging.

  • children - trigger element (TouchableOpacity by default)
  • style - overriding default style for trigger element
  • title - set trigger text ('DM' by default)
Example
import { DevMenu } from 'react-native-today-widget';

const TodayWidget = () => (
  <View>
    <Text>Hello Today Widget!</Text>
    {__DEV__ && <DevMenu />
      /* Has to be a last element to be clickable,
      because it has absolute position */
    }
  </View>
);

Screenshot of opened Developer Menu:

developer_menu

openURL([url:string])

Asks the system open a URL on behalf of the currently running app extension.

  • url - the URL to open

If you employ this method to open other apps from your widget, your App Store submission might entail additional review to ensure compliance with the intent of widgets.

setExpandable([expandable:boolean = true], [maxHeight:number = 110])

Enables to display native Show More / Less button in top right corner of the widget (iOS 10).

  • expandable - if false Show More / Less button is hidden
  • maxHeight - height of expanded widget

Height of collapsed Today Widget is always 110px on iOS 10.

Example
import { setExpandable } from 'react-native-today-widget';

const TodayWidget = () => {
  const isExpandable = true;
  const maxHeight = 500;
  setExpandable(isExpandable, maxHeight);
  const onLayout = (event) => {
    const height = event.nativeEvent.layout.height;
    if (height <= 110) {
      console.log('widget is in compact mode');
    }
    else if (height > 110) {
      console.log('widget is in expanded mode');
    }
  }
  return (
    <View onLayout={onLayout}>
      <Text>
        Hello Today Widget!
      </Text>
    </View>
  );
};

You could try Expandable example

Issues
  • Unable to Load

    Unable to Load

    I am trying to render a verrrry simple today widget but all I get is "Unable to Load". The code uses one View and one Text, and I am running on a simulator in release mode:

    const TodayWidget = () => (
      <View>
    
        <Text>
          Hello Today Widget!
        </Text>
    
      </View>
    );
    
    bug 
    opened by joncursi 39
  • [error] react-native link Package name not found in {app-folder}/android/app/src/debug/AndroidManifest.xml

    [error] react-native link Package name not found in {app-folder}/android/app/src/debug/AndroidManifest.xml

    I've been receiving this error when I try to use react-native link command after installing.

    rnpm-install ERR! ERRPACKAGEJSON No package found. Are you sure this is a React Native project?
    
    Package name not found in {app-folder}/android/app/src/debug/AndroidManifest.xml
    

    react-native-cl version: 2.0.1 react-native version: 0.47.2 npm version - 5.3.0 yarn version - 0.28.4

    In the case that this is indeed a bug and not a misconfiguration of my part, how should I do the manual instalation of the extension in the lib? I've tried to do it using the scripts contained in the bin folder, but so far I could not get it right.

    opened by rodrigopk 11
  • How to share data between main App and widget?

    How to share data between main App and widget?

    Hello!

    I'm trying to share data as you do in "Complex example". But with https://github.com/kevinresol/react-native-default-preference

    Have you been able to use UserDefaults to share data?

    Description

    In main app:

    await DefaultPreference.setName("NAME_OF_YOUR_GROUP")
    await DefaultPreference.set("key1", "value1")
    

    In widget:

    await DefaultPreference.setName("NAME_OF_YOUR_GROUP")
    const k = await DefaultPreference.get("key1")
    

    k is undefined. Should be value1

    opened by kesha-antonov 9
  • Instalation error: Could not write domain /../ios/TodayWidgetExtension/Info.plist;

    Instalation error: Could not write domain /../ios/TodayWidgetExtension/Info.plist;

    Hello;

    I'm trying to install the react-native-today-widget in version 0.6.4 because of the react-native version of my project (0.44.3), I'm having this problem when I try to install the package:

    yarn add [email protected]
    yarn add v0.24.5
    [1/4] 🔍  Resolving packages...
    [2/4] 🚚  Fetching packages...
    [3/4] 🔗  Linking dependencies...
    [4/4] 📃  Building fresh packages...
    [1/1] ⡀ react-native-today-widget: setting ".TodayWidgetExtension" as CFBundleIdentifier for
    /../ios/TodayWidgetEx
    [-/1] ⡀ waiting...
    [-/1] ⡀ waiting...
    [-/1] ⡀ waiting...
    error /Users/algartelecom/Documents/Josiane/testTodayWidget/node_modules/react-native-today-widget: Command failed.
    Exit code: 1
    Command: sh
    Arguments: -c ./bin/setBundleId.sh
    Directory: /Users/algartelecom/Documents/Josiane/testTodayWidget/node_modules/react-native-today-widget
    Output:
    ./bin/setBundleId.sh: line 3: realpath: command not found
    usage: dirname path
    sed: 1: "s/^\s*"name": "(.*?)",$ ...": RE error: repetition-operator operand invalid
    Reading CFBundleIdentifier from: /../../../ios//Info.plist
    2018-01-08 16:46:09.080 defaults[13479:375454]
    The domain/default pair of (/../../../ios//Info.plist, CFBundleIdentifier) does not exist
    setting ".TodayWidgetExtension" as CFBundleIdentifier for  /../ios/TodayWidgetExtension/Info.plist
    2018-01-08 16:46:09.219 defaults[13489:375499] Could not write domain /../ios/TodayWidgetExtension/Info.plist; exiting
    info Visit https://yarnpkg.com/en/docs/cli/add for documentation about this command.
    

    Assuming I can not update the version of my project, what can I do to fix this?

    Project Version: react-native 0.44.3 Version of react-native-today-widget: 0.6.4

    Thanks!

    opened by josianeReis 6
  • Unable to install with yarn: Could not write domain

    Unable to install with yarn: Could not write domain

    $ yarn add react-native-today-widget
    yarn add v0.24.5
    [1/5] 🔍  Resolving packages...
    [2/5] 🚚  Fetching packages...
    [3/5] 🔗  Linking dependencies...
    [4/5] 📃  Building fresh packages...
    [-/8] ⠈ waiting...
    [-/8] ⠈ waiting...
    [8/8] ⠈ react-native-today-widget: setting ".TodayWidgetExtension" as CFBundleIdentifier for  /../ios/TodayW
    [-/8] ⠈ waiting...
    error /Users/jcursi/Sites/joncursi/redbirdNative/node_modules/react-native-today-widget: Command failed.
    Exit code: 1
    Command: sh
    Arguments: -c ./bin/setBundleId.sh
    Directory: /Users/jcursi/Sites/joncursi/redbirdNative/node_modules/react-native-today-widget
    Output:
    ./bin/setBundleId.sh: line 3: realpath: command not found
    usage: dirname path
    sed: 1: "s/^\s*"name": "(.*?)",$ ...": RE error: repetition-operator operand invalid
    Reading CFBundleIdentifier from: /../../../ios//Info.plist
    2017-07-10 16:34:36.024 defaults[29636:174124] 
    The domain/default pair of (/../../../ios//Info.plist, CFBundleIdentifier) does not exist
    setting ".TodayWidgetExtension" as CFBundleIdentifier for  /../ios/TodayWidgetExtension/Info.plist
    2017-07-10 16:34:36.184 defaults[29645:174193] Could not write domain /../ios/TodayWidgetExtension/Info.plist; exiting
    info Visit https://yarnpkg.com/en/docs/cli/add for documentation about this command.
    
    opened by joncursi 5
  • Cannot get basic example to display widget

    Cannot get basic example to display widget

    Description

    Please describe expected and actual behavior. Following steps from example app.

    Steps to reproduce

    System configuration

    Please add result of react-native info command and react-native-today-widget version used latest rn version and used npm install from master branch. screen shot 2018-05-01 at 8 54 53 am

    opened by j-mendez 5
  • Failed to build iOS project.

    Failed to build iOS project.

    Description

    I was just following the steps in /Example/Basic and nothing else. I added react-native-today-widget and run react-native link. Then TodayWidget.js and index.widget.js. At last, I run react-native run-ios, and then it said failed to build ios project. 屏幕快照 2019-06-30 下午10 38 25

    Steps to reproduce

    Just steps above.

    System configuration

    I'm using [email protected].

    Results of react-native info:

    info
      React Native Environment Info:
        System:
          OS: macOS 10.14.5
          CPU: (4) x64 Intel(R) Core(TM) i5-5257U CPU @ 2.70GHz
          Memory: 145.09 MB / 8.00 GB
          Shell: 5.3 - /bin/zsh
        Binaries:
          Node: 10.16.0 - /usr/local/bin/node
          Yarn: 1.6.0 - ~/.yarn/bin/yarn
          npm: 6.9.0 - /usr/local/bin/npm
          Watchman: 4.9.0 - /usr/local/bin/watchman
        SDKs:
          iOS SDK:
            Platforms: iOS 12.2, macOS 10.14, tvOS 12.2, watchOS 5.2
        IDEs:
          Xcode: 10.2.1/10E1001 - /usr/bin/xcodebuild
        npmPackages:
          react: 16.8.3 => 16.8.3
          react-native: 0.59.9 => 0.59.9
        npmGlobalPackages:
          create-react-native-app: 1.0.0
          react-native-cli: 2.0.1
    
    opened by RyanLiu0235 2
  • Issue opening app by clicking widget Component

    Issue opening app by clicking widget Component

    Description

    I have implemented this widget by following this example Building a React-Native Today Widget in iOS I want to link a view to component in widget(icon) etc. When click that item it should open app and goto that screen. But I don't know how to do it. This code is working fine and showing images in widget except of opening app.

    This is the code of my index.widget.js file

    import React from 'react'
    import {AppRegistry, Platform, Text, View, Image, TouchableOpacity, Linking} from 'react-native'
    openMe = async (pm) => {
        console.warn(pm)
        Linking.openURL('appName://Camera/0')
    }
    const TodayWidget = () => (
    <View style={{ flex: 1, flexDirection:'row', justifyContent: 'center',alignItems:'center'}}>
        <View style={{flex:1, justifyContent:'center',alignItems:'center'}}>
            <TouchableOpacity  onPress={() => this.openMe('first')}>
                <Image source={require('./app/Images/camera.png')} resizeMode='contain' style={{width:50,height:50}} />
            </TouchableOpacity>
        </View>
    
        <View style={{flex:1, justifyContent:'center',alignItems:'center'}}>
            <TouchableOpacity  onPress={() => this.openMe('second')}>
                <Image source={require('./app/Images/camera.png')} resizeMode='contain' style={{width:50,height:50}}/>
            </TouchableOpacity>
        </View>
    </View>
    )
    if (Platform.OS === 'ios') {
    AppRegistry.registerComponent('AITodayWidget', () => TodayWidget)
    }
    

    Steps to reproduce

    Please follow this example Building a React-Native Today Widget in iOS

    System configuration

    OS: macOS High Sierra 10.13.6 Node: 9.6.1 Yarn: 0.15.1 npm: 6.4.1 Watchman: 4.9.0 Xcode: Xcode 10.0 Build version 10A255 Android Studio: 3.1 AI-173.4907809

    Packages: (wanted => installed) react: 16.2.0 => 16.2.0 react-native: ^0.52.0 => 0.52.3

    opened by asad-qbatch 2
  • Error: Bundle identifier

    Error: Bundle identifier

    while attempting to run my app, it reached the following build error:

    The following build commands failed: ValidateEmbeddedBinary build/Build/Products/Debug-iphonesimulator/WidgetTest.app/PlugIns/TodayWidgetExtension.appex (1 failure)

    and above it listed this:

    `error: Embedded binary's bundle identifier is not prefixed with the parent app's bundle identifier.

    	Embedded Binary Bundle Identifier:	.TodayWidgetExtension
    	Parent App Bundle Identifier:		org.reactjs.native.example.WidgetTest`
    

    i installed all the dependencies and multiple tests yielded the same error. am i doing anything wrong? i copy-pasted the widget code from the example and it still doesnt work.

    opened by ghost 2
  • Xcode Crash after linking

    Xcode Crash after linking

    native-today-widget/ios/../../react-native/packager/react-native-xcode.sh: No such file or directory
    

    screen shot 2017-07-10 at 5 19 25 pm

    opened by joncursi 2
  • Bump tmpl from 1.0.4 to 1.0.5 in /Examples/Basic

    Bump tmpl from 1.0.4 to 1.0.5 in /Examples/Basic

    Bumps tmpl from 1.0.4 to 1.0.5.

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

    You can disable automated security fix PRs for this repo from the Security Alerts page.

    dependencies 
    opened by dependabot[bot] 0
  • Bump tmpl from 1.0.4 to 1.0.5 in /Examples/Expandable

    Bump tmpl from 1.0.4 to 1.0.5 in /Examples/Expandable

    Bumps tmpl from 1.0.4 to 1.0.5.

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

    You can disable automated security fix PRs for this repo from the Security Alerts page.

    dependencies 
    opened by dependabot[bot] 0
  • Bump tmpl from 1.0.4 to 1.0.5 in /Examples/Complex

    Bump tmpl from 1.0.4 to 1.0.5 in /Examples/Complex

    Bumps tmpl from 1.0.4 to 1.0.5.

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

    You can disable automated security fix PRs for this repo from the Security Alerts page.

    dependencies 
    opened by dependabot[bot] 0
  • Bump tmpl from 1.0.4 to 1.0.5

    Bump tmpl from 1.0.4 to 1.0.5

    Bumps tmpl from 1.0.4 to 1.0.5.

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

    You can disable automated security fix PRs for this repo from the Security Alerts page.

    dependencies 
    opened by dependabot[bot] 0
  • Bump tar from 4.4.4 to 4.4.19 in /Examples/Basic

    Bump tar from 4.4.4 to 4.4.19 in /Examples/Basic

    Bumps tar from 4.4.4 to 4.4.19.

    Commits
    • 9a6faa0 4.4.19
    • 70ef812 drop dirCache for symlink on all platforms
    • 3e35515 4.4.18
    • 52b09e3 fix: prevent path escape using drive-relative paths
    • bb93ba2 fix: reserve paths properly for unicode, windows
    • 2f1bca0 fix: prune dirCache properly for unicode, windows
    • 9bf70a8 4.4.17
    • 6aafff0 fix: skip extract if linkpath is stripped entirely
    • 5c5059a fix: reserve paths case-insensitively
    • fd6accb 4.4.16
    • Additional commits viewable in compare view

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

    You can disable automated security fix PRs for this repo from the Security Alerts page.

    dependencies 
    opened by dependabot[bot] 0
  • Bump path-parse from 1.0.5 to 1.0.7 in /Examples/Complex

    Bump path-parse from 1.0.5 to 1.0.7 in /Examples/Complex

    Bumps path-parse from 1.0.5 to 1.0.7.

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

    You can disable automated security fix PRs for this repo from the Security Alerts page.

    dependencies 
    opened by dependabot[bot] 0
  • Bump path-parse from 1.0.5 to 1.0.7

    Bump path-parse from 1.0.5 to 1.0.7

    Bumps path-parse from 1.0.5 to 1.0.7.

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

    You can disable automated security fix PRs for this repo from the Security Alerts page.

    dependencies 
    opened by dependabot[bot] 0
  • Bump path-parse from 1.0.5 to 1.0.7 in /Examples/Expandable

    Bump path-parse from 1.0.5 to 1.0.7 in /Examples/Expandable

    Bumps path-parse from 1.0.5 to 1.0.7.

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

    You can disable automated security fix PRs for this repo from the Security Alerts page.

    dependencies 
    opened by dependabot[bot] 0
  • Bump path-parse from 1.0.5 to 1.0.7 in /Examples/Basic

    Bump path-parse from 1.0.5 to 1.0.7 in /Examples/Basic

    Bumps path-parse from 1.0.5 to 1.0.7.

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

    You can disable automated security fix PRs for this repo from the Security Alerts page.

    dependencies 
    opened by dependabot[bot] 0
  • Bump tar from 2.2.1 to 2.2.2 in /Examples/Expandable

    Bump tar from 2.2.1 to 2.2.2 in /Examples/Expandable

    Bumps tar from 2.2.1 to 2.2.2.

    Commits
    • 523c5c7 2.2.2
    • 7ecef07 Bump fstream to fix hardlink overwriting vulnerability
    • 9fc84b9 Use {} for hardlink tracking instead of []
    • 15e59f1 Only track previously seen hardlinks
    • 4f85851 Ignore potentially unsafe files
    • See full diff in compare view

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

    You can disable automated security fix PRs for this repo from the Security Alerts page.

    dependencies 
    opened by dependabot[bot] 0
Owner
Matěj Kříž
Matěj Kříž
React-Native library for the WidgetKit framework. Integrate a Widget into your App 🍏📱

react-native-widgetkit React-Native Library for the iOS ?? WidgetKit framework Table of Contents ?? Introduction ??‍?? Installation ??‍ Usage ????‍??

Fasky 82 Oct 13, 2021
A simple Facebook Chat Head like bubble for react native

react-native-floating-bubble A simple Facebook Chat Head like bubble for react native. Special thanks to bubble-for-android because this is just react

null 109 Oct 14, 2021
A component for React that utilizes the Counterpart module to provide multi-lingual/localized text content.

React Translate Component Translate is a component for React that utilizes the Counterpart module and the Interpolate component to provide multi-lingu

Martin Andert 325 Apr 14, 2021
🌊🐷 Utility for generalized composition of React components

???? Utility for generalized composition of React components

Enki 279 Oct 4, 2021
Declarative hotkey and focus area management for React

React HotKeys A declarative library for handling hotkeys and focus areas in React applications. Upgrading from 1.*.* ? See the upgrade notes. Looking

Aleck Greenham 1.9k Oct 3, 2021
HTML to React parser that works on both the server (Node.js) and the client (browser):

HTML to React parser that works on both the server (Node.js) and the client (browser):

Mark 1k Oct 19, 2021
Utility Components for determining whether elements are in the center of the screen.

@n1ru4l/react-in-center-of-screen Utility Components for determining whether elements are in the center of the screen. Codesandbox Quick Demo: https:/

Laurin Quast 12 May 29, 2021
Detect device, and render view according to detected device type.

react-device-detect Detect device, and render view according to the detected device type. Installation To install, you can use npm or yarn: npm instal

Michael Laktionov 1.6k Oct 14, 2021
The next generation state management library for React

The next generation state management library for React

Bytedance Inc. 150 Sep 18, 2021
A lightweight react library that converts raw HTML to a React DOM structure.

A lightweight react library that converts raw HTML to a React DOM structure.

Arve Knudsen 652 Oct 17, 2021
React-Godfather aims to explore an alternative mental model for function components.

React-Godfather "Look ma, no Hooks!" React-Godfather aims to explore an alternative mental model for function components. It adds a thin layer between

John Kapolos 17 Sep 20, 2021
Extended utils for ⚛️ React.Children data structure that adds recursive filter, map and more methods to iterate nested children.

React Children Utilities Recursive and extended utils for React children opaque data structure. Installation Available as a package and can be added t

Fernando Pasik 183 Oct 5, 2021
CSS media queries for React

react-media react-media is a CSS media query component for React. A <Media> component listens for matches to a CSS media query and renders stuff based

React Training 2.4k Oct 15, 2021
React Refresh Token with JWT and Axios Interceptors example

Buid React JWT Refresh Token example with Axios Interceptors - Refresh Token in React.js, Axios silent refresh JWT token example

null 18 Sep 30, 2021
Easily create presentation board using React

React Speaker Board Easily create presentation board using React. Quick Usage It install react-speaker-board running this comand. $ yarn add react-spe

nappa 6 Oct 14, 2021
A Fetch Library Support React New Suspense SSR

use-suspense-fetch A data fetching library for React Suspense. inspired by use-asset Feature use LRU Cache support create custom cache support React 1

Snake 6 Jul 12, 2021
redis like key-value state management solution for React

jedisdb redis like key-value state management solution for React Reactive. Redux alternative. Simple and powerful global state management system, acce

Hassan 10 Oct 16, 2021
🔌 "Plug and play" for RxJS Observables in React Apps!

"Plug and play" for RxJS Observables in React Apps! npm install @ngneat/react-rxjs useObservable Ever had an Observable holding data that you need to

ngneat 12 Oct 11, 2021
A React wrapper for signature pad

react-signature-pad-wrapper A React wrapper for signature pad. Installation This package is available through npm: npm install --save react-signature-

Michael Dzjaparidze 64 Oct 14, 2021